- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 87227eed-df0e-4fea-9e56-65885ac53662
    creation_time: 2023-02-17T12:14:37.401333Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark32_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark32_linear.i: 8731c7b889cdaf4eec07de8973e6494ef97dd5e8bf9fb9fde3d7808725d4f0de
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark32_linear.i
    file_hash: 8731c7b889cdaf4eec07de8973e6494ef97dd5e8bf9fb9fde3d7808725d4f0de
    line: 22
    column: 0
    function: main
  loop_invariant:
    string: x == 1 || x == 2
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 64b4adcb-4782-450a-82f1-fd33d6d64d98
    creation_time: 2023-02-17T12:14:37.401615Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark32_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark32_linear.i: 8731c7b889cdaf4eec07de8973e6494ef97dd5e8bf9fb9fde3d7808725d4f0de
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark32_linear.i
    file_hash: 8731c7b889cdaf4eec07de8973e6494ef97dd5e8bf9fb9fde3d7808725d4f0de
    line: 26
    column: 0
    function: main
  location_invariant:
    string: x <= 8
    type: assertion
    format: C

